//------------------------------------------------------------------
//
//  For licensing information and to get the latest version go to:
//  http://workspaces.gotdotnet.com/3dtools
//
//------------------------------------------------------------------

using System;
using System.Diagnostics;
using System.IO;
using System.Windows;

namespace ModelViewer
{
    /// <summary>
    /// Interaction logic for MyApp.xaml
    /// </summary>

    public partial class MyApp : Application
    {
        void OnStartup(object sender, StartupEventArgs e)
        {
            if (e.Args.Length > 1)
            {
                StartupError(String.Format("USAGE: {0} [filename.xaml]",
                    Process.GetCurrentProcess().MainModule.ModuleName));
                return;
            }

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();

            if (e.Args.Length == 1)
            {
                string filename = e.Args[0];
                FileStream file = null;

                try
                {
                    file = new FileStream(filename, FileMode.Open, FileAccess.Read);
                }
                catch (FileNotFoundException)
                {
                    StartupError(String.Format("File Not Found: \"{0}\"", filename));

                    return;
                }

                mainWindow._trackport.LoadModel(file);
            }
        }

        private void StartupError(string errorMsg)
        {
            MessageBox.Show(errorMsg, "Error", MessageBoxButton.OK, MessageBoxImage.Error);

            this.Shutdown();
        }
    }
}